# eth\_getBlockTransactionCountByNumber

Returns the number of transactions in a block matching the given block number.

This method will use `40` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## Reference: [Here](https://ethereum.org/en/developers/docs/apis/json-rpc/#eth_getblocktransactioncountbynumber)

## **Parameters**

`QUANTITY|TAG` - integer of a block number, or the string `"earliest"`, `"latest"` or `"pending"`, as in the [default block parameter](https://ethereum.org/en/developers/docs/apis/json-rpc/#default-block-parameter).

```bash
params: [
  "0xe8", // 232
]
```

## **Returns**

`QUANTITY` - integer of the number of transactions in this block.

```bash
// Result
{
  "id":1,
  "jsonrpc": "2.0",
  "result": "0xa" // 10
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.somnia.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_getBlockTransactionCountByNumber","params":["0x8693195"],"id":1}'

```

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://testnet.somnia.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_getBlockTransactionCountByNumber","params":["0x8693195"],"id":1}'

```

{% endtab %}
{% endtabs %}
